<?php
/**
 * FlexiPeeHP Bricks - Order/Invoice listing item
 *
 * @author Vítězslav Dvořák <info@vitexsoftware.cz>
 */

namespace FlexiPeeHP\ui;

/**
 * Description of OrderListingItem
 *
 * @author vitex
 */
class OrderListingItem extends \Ease\TWB\Row
{

    public function __construct($itemdata, $evidence)
    {
        parent::__construct();
        $this->addTagClass('row-hover');
//        $this->addColumn(2,
//            new \Ease\Html\ATag('order.php?id='.$itemdata['id'],
//            $itemdata['kod']));

        $this->addColumn(2,
            new \Ease\Html\StrongTag(new \Ease\Html\ATag('getpdf.php?id='.$itemdata['id'].'&evidence='.$evidence.'&embed=true',
            $itemdata['kod'])));

        $this->addColumn(2,
            $itemdata['sumCelkem'].' '.str_replace('code:', '',
                $itemdata['mena']));

        if (array_key_exists('datSplat', $itemdata)) {

            $this->addColumn(1,
                !empty(trim($itemdata['datSplat'])) ? \FlexiPeeHP\FlexiBeeRO::flexiDateToDateTime($itemdata['datSplat'])->format('d.m.Y')
                        : '' );
        }
        if ($itemdata['storno'] == 'true') {
            $column2 = new \Ease\TWB\Label('default', _('Storno'));
        } else {
            switch ($evidence) {
                case 'faktura-vydana':
                    if (strstr($itemdata['stavUhrK'], 'stavUhr.uhrazeno')) {
                        $column2 = new \Ease\TWB\Label('success', _('Settled'));
                    } else {
                        $column2 = self::dueLabel($itemdata['datSplat']);
                    }
                    break;
                case 'objednavka-prijata':
                    if ($itemdata['stavUzivK'] == 'stavDoklObch.hotovo') {
                        $column2 = new \Ease\TWB\Label('success', _('Done'));
                    } else {
                        $column2 = new \Ease\TWB\Label('warning',
                            _('Open').': '.str_replace('stavDoklObch.', '',
                                $itemdata['stavUzivK']));
                    }
                    break;
                default :
                    $column2 = '';
                    break;
            }
        }
        $this->addColumn(2, $column2);

        $links = [
            new \Ease\Html\ATag('document.php?id='.$itemdata['id'].'&embed=true&evidence='.$evidence,
                new \Ease\Html\ImgTag('images/oko.svg', _('Show'),
                ['height' => '20px']), 'info', ['title' => _('Show')])
            ,
            new \Ease\Html\ATag('getpdf.php?id='.$itemdata['id'].'&evidence='.$evidence,
                new \Ease\Html\ImgTag('images/download.svg', _('Download'),
                ['height' => '20px']), 'success', ['title' => _('Download')])
//            ,
//            new \Ease\Html\ATag('maildocument.php?id='.$itemdata['id'].'&evidence='.$evidence,
//                new \Ease\Html\ImgTag('images/email.svg', _('Send'),
//                ['height' => '20px']), 'success', ['title' => _('Send')])
        ];

        if ($evidence == 'faktura-vydana') {
            $links[] = new \Ease\Html\ATag('getisdoc.php?id='.$itemdata['id'].'&evidence='.$evidence,
                new \Ease\Html\ImgTag('images/ISDOC.png', _('ISDOC'),
                ['height' => '20px']), 'success', ['title' => _('ISDOC')]);
        }

        $this->addColumn(2, $links);
    }

    static function price($data)
    {
        switch ($data['']) {
            case '':
                break;
        }


        return new \Ease\TWB\Label($type, $content);
    }

    static function dueLabel($date)
    {
        $days = \FlexiPeeHP\Bricks\Upominac::poSplatnosti($date);
        if ($days < 0) {
            $type = 'success';
            $msg  = sprintf(_(' %s days to due'),
                new \Ease\TWB\Badge(abs($days)));
        } else {
            $msg = sprintf(_(' %s days after due'),
                new \Ease\TWB\Badge(abs($days)));
            if ($days > 14) {
                $type = 'danger';
            } else {
                $type = 'warning';
            }
        }
        return new \Ease\TWB\Label($type, $msg);
    }
}
